summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2017-04-04 16:00:02 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-08 06:57:44 +0700
commitb998239fe408c84396d66c54a1b175630c1f5058 (patch)
tree30036197927ce63e68d2b58d6522cf86838045bd
parent878f3868dfbd91d3366b6abd958d1b34acbfa100 (diff)
downloadslackbuilds-b998239fe408c84396d66c54a1b175630c1f5058.tar.gz
slackbuilds-b998239fe408c84396d66c54a1b175630c1f5058.tar.xz
system/ttf-console-fonts: Added (converted TTFs for the console).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--system/ttf-console-fonts/README7
-rw-r--r--system/ttf-console-fonts/slack-desc19
-rw-r--r--system/ttf-console-fonts/ttf-console-fonts.SlackBuild46
-rw-r--r--system/ttf-console-fonts/ttf-console-fonts.info10
4 files changed, 82 insertions, 0 deletions
diff --git a/system/ttf-console-fonts/README b/system/ttf-console-fonts/README
new file mode 100644
index 0000000000..7872697d19
--- /dev/null
+++ b/system/ttf-console-fonts/README
@@ -0,0 +1,7 @@
+ttf-console-fonts (converted TTFs for the console)
+
+ttf-console-fonts is a collection of Linux console fonts, converted from
+various TrueType fonts found in a typical Linux install.
+
+This build includes Deja Vu Sans Mono and Liberation Mono. If freefont
+is installed, the package will also include FreeMono.
diff --git a/system/ttf-console-fonts/slack-desc b/system/ttf-console-fonts/slack-desc
new file mode 100644
index 0000000000..be250b14c0
--- /dev/null
+++ b/system/ttf-console-fonts/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ttf-console-fonts: ttf-console-fonts (converted TTFs for the console)
+ttf-console-fonts:
+ttf-console-fonts: ttf-console-fonts is a collection of Linux console fonts, converted
+ttf-console-fonts: from various TrueType fonts found in a typical Linux install.
+ttf-console-fonts:
+ttf-console-fonts:
+ttf-console-fonts:
+ttf-console-fonts:
+ttf-console-fonts:
+ttf-console-fonts:
+ttf-console-fonts:
diff --git a/system/ttf-console-fonts/ttf-console-fonts.SlackBuild b/system/ttf-console-fonts/ttf-console-fonts.SlackBuild
new file mode 100644
index 0000000000..24bbcbb446
--- /dev/null
+++ b/system/ttf-console-fonts/ttf-console-fonts.SlackBuild
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+# Slackware build script for ttf-console-fonts
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=ttf-console-fonts
+VERSION=${VERSION:-20170403_abc5771}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ttf-console-fonts/ttf-console-fonts.info b/system/ttf-console-fonts/ttf-console-fonts.info
new file mode 100644
index 0000000000..8121f46f78
--- /dev/null
+++ b/system/ttf-console-fonts/ttf-console-fonts.info
@@ -0,0 +1,10 @@
+PRGNAM="ttf-console-fonts"
+VERSION="20170403_abc5771"
+HOMEPAGE="http://urchlay.naptime.net/repos/ttf-console-fonts/about/"
+DOWNLOAD="http://urchlay.naptime.net/~urchlay/src/ttf-console-fonts-20170403_abc5771.tar.gz"
+MD5SUM="36be7b721871c2c21f15a9e9206066cb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="otf2bdf bdf2psf psftools"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"